Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.util.instrum
Class MfInstrumManagement

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.sun.mfwk.util.instrum.MfInstrumManagement

All Implemented Interfaces:
  MfInstrumManagementMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class MfInstrumManagement
extends javax.management.NotificationBroadcasterSupport
implements MfInstrumManagementMBean

MfInstrumManagementMBean allows instrumentation management.

Constructor Summary
`MfInstrumManagement()`

Method Summary
`void` | `disableMonitoring()` Disables the monitoring.
`void` | `enableMonitoring()` Enables the monitoring.
`java.util.logging.Level` | `getLoggingLevel()` Get the logging level..
`boolean` | `isMonitoringEnabled()` Check if the monitoring is enabled.
`void` | `setLoggingLevel(java.util.logging.Level level)` Set the logging level.

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MfInstrumManagement

    public MfInstrumManagement()

Method Detail

### isMonitoringEnabled

    public boolean isMonitoringEnabled()

  Check if the monitoring is enabled. If the monitoring is disabled, all the MBeans implementing instrumentation should be unregistered from the MBeanServer.

  Specified by:
    `isMonitoringEnabled` in interface `MfInstrumManagementMBean`

### getLoggingLevel

    public java.util.logging.Level getLoggingLevel()

  Get the logging level..

  Specified by:
    `getLoggingLevel` in interface `MfInstrumManagementMBean`

### setLoggingLevel

    public void setLoggingLevel(java.util.logging.Level level)

  Set the logging level.

  Specified by:
    `setLoggingLevel` in interface `MfInstrumManagementMBean`

### enableMonitoring

    public void enableMonitoring()

  Enables the monitoring. This mean that all the instrumentation will be enabled.

  Specified by:
    `enableMonitoring` in interface `MfInstrumManagementMBean`

### disableMonitoring

    public void disableMonitoring()

  Disables the monitoring. This mean that all the instrumentation will be disabled.

  Specified by:
    `disableMonitoring` in interface `MfInstrumManagementMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD